﻿


@model FunXgame.Models.Categoria

@{
    ViewBag.Title = "EditarCategoria";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card text-center" style="background-color:whitesmoke">

    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}

    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Categorias/ListarCategoria">Listar Categorías</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Categorias/CrearCategoria">Agregar Categoría</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white; background-color:black" href="#">Editar Categoría</a>
                    </li>
                </ul>
            </div>
            
            <div class="card-body text-left">
                @using (Html.BeginForm("EditarCategoria", "Categorias", FormMethod.Post, new { role = "form", id = "categoriaEditForm", @class = "" }))

                {
                    @Html.AntiForgeryToken()
                    <input id="Id_categoria" name="Id_categoria" type="text" value="@Model.Id_categoria" hidden />
                    <div class="form-horizontal">
                        
                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Código:</label>
                                @Html.EditorFor(model => model.Codigo_categoria, new { htmlAttributes = new { @class = "form-control", id = "Codigo_categoria" } })
                            </div>
                        </div>

                        <div class="form-group" style="display:none">
                            <div class="col-md-10">
                                <label>Estado:</label>
                                @Html.DropDownList("Id_estado", null, "Seleccione...", htmlAttributes: new { @class = "form-control", id = "Id_estado" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Nombre:</label>
                                @Html.EditorFor(model => model.Nombre_categoria, new { htmlAttributes = new { @class = "form-control", id = "Nombre_categoria" } })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Descripción:</label>
                                @Html.EditorFor(model => model.Descripcion_categoria, new { htmlAttributes = new { @class = "form-control", id = "Descripcion_categoria" } })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12 ">
                                
                                <div>
                                    <label>Seleccione marcas para asociar:</label>
                                </div>
                                <div class="form-row d-flex ">
                                    
                                    @foreach (var item in ViewBag.Marcas)
                                    {

                                        string s1 = "marca";
                                        string s2 = item.Id_marca.ToString();
                                        string s3 = s1 + s2;


                                    <div class="col-4 d-flex mt-3">


                                        @if (item.Id_estado == 1)
                                        {
                                            <label class="col-form-label col-9 text-right pr-0">@item.Nombre_marca</label>
                                            <input type="text" value="@item.Id_marca" id="@item.Id_marca" hidden />
                                            <input class="form-control col-3" type="checkbox" id=@s3 name="IsChecked" style="box-shadow:none">
                                        }
                                        @if (item.Id_estado == 2)
                                        {
                                            <label class="col-form-label marcaDesactivada col-9 text-right pr-0" style="white-space:nowrap">@item.Nombre_marca (Deshabilitada)</label>
                                            <input type="text" value="@item.Id_marca" id="@item.Id_marca" hidden />
                                            <input class="form-control col-3 desactivada" type="checkbox" id=@s3 name="IsChecked" style="box-shadow:none">
                                        }

                                    </div>

                                    }
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="button" value="Actualizar categoría" id="btnGuardar" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                }

            </div>
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script src="~/Scripts/Validaciones/valida_categoria_edit.js"></script>

    <script>
    @foreach (var item in ViewBag.Marcas)
    {

        string s1 = "marca";
        string s2 = item.Id_marca.ToString();
        string s3 = s1 + s2;

        foreach (var item2 in ViewBag.Marca_Categoria)
        {
            if (item2.Id_categoria == Model.Id_categoria && item2.Id_marca==item.Id_marca && item2.Id_estado==1)
            {
                <text>
                $('#@s3').prop('checked', true);
                </text>
            }
        }

        <text>
        isSelected('#@s3',@item.Id_marca);
        </text>

    }

        var ids = "";
        var idsDesactivar = "";

        function isSelected(selector, itemenviar) {
            $(selector).on('change', function () {
                if (this.checked) {
                    ids += itemenviar + '%';
                    //alert(ids);
                    idsDesactivar = idsDesactivar.replace(itemenviar + "%", '');
                }
                else {
                    ids = ids.replace(itemenviar + "%", '');
                    idsDesactivar += itemenviar + '%';
                }
            })
        }


     $(document).ready(function () {

        $('#Codigo_categoria').blur(function () {
            validaCodigoNombreExiste('#Codigo_categoria');
        });

        $('#Nombre_categoria').blur(function () {
            validaCodigoNombreExiste('#Nombre_categoria');
        });

         enviaValidaCategoriaV3('#btnGuardar')

    });

     function validaCodigoNombreExiste(selector) {

         var valores = { Codigo_categoria: $('#Codigo_categoria').val().trim(), Nombre_categoria: $('#Nombre_categoria').val().trim(), Id_categoria: $('#Id_categoria').val() };
            var resultado = JSON.stringify(valores);

            if ($(selector).val().trim() != '') {
                    $.ajax({
                        type: 'POST',
                        url: '@Url.Action("ExisteCodigoNombreCategoriaEdit")',
                        data: resultado,
                        dataType: 'json',
                        contentType: 'application/json; charset=utf-8',
                        success: function (result) {
                            if (result == "codigoExiste") {
                                $('#Codigo_categoria').val('');
                                swal("Ya existe una categoria con ese código", "", "warning");
                            }

                            if (result == "nombreExiste") {
                                $('#Nombre_categoria').val('');
                                swal("Ya existe una categoria con ese nombre", "", "warning");
                            }
                        }
                    });
            }
     }

     

    </script>


}
